Bug 597401 - IT Candlepin: OrderNumber field reported as Null for consumed products
Summary: IT Candlepin: OrderNumber field reported as Null for consumed products
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: All
OS: Solaris
low
urgent
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 20:27 UTC by Steve Salevan
Modified: 2018-12-10 15:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-10 15:37:02 UTC


Attachments (Terms of Use)

Description Steve Salevan 2010-05-28 20:27:35 UTC
Description of problem:
If a user activates a registration token then subscribes to one of the pools corresponding to this token, the corresponding entitlement certificate will not contain a contract number.  It'll look something like this:

[root@oldceremony product]# subscription-manager-cli list --consumed
+-------------------------------------------+
    Consumed Product Subscriptions
+-------------------------------------------+


Name:               	Red Hat Enterprise Linux Advanced Platform, Standard (Unlimited Sockets)
SerialNumber:       	176                      
OrderNumber:       	Null                     
Active:             	True                     
Begins:             	Fri May 28 00:00:00 2010 
Expires:            	Fri May 27 00:00:00 2011 

Version-Release number of selected component (if applicable):
subscription-manager HEAD, morning of 5/28 git pull
FTE Candlepin environment, 5/28

How reproducible:
Always

Steps to Reproduce:
1. Hock a subscription number
2. Subscribe to an entitlement pool corresponding to this subscription number
3. Run a subscription-manager-cli list --consumed
  
Actual results:
As above

Expected results:
Contract number included

Additional info:

Comment 1 Mike Orazi 2010-05-28 22:06:24 UTC
Patched in 4679a407.

Comment 5 wes hayutin 2010-08-10 15:47:04 UTC
verified..

Comment 6 John Sefler 2011-05-04 14:40:49 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 7 Bryan Kearney 2018-12-10 15:37:02 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.